<h1 mat-dialog-title>{{dictionary.create}} - {{aircraftTitle.aircraft}}{{ name ? ":" : "" }} {{maxTitleLength(name, 30)}}</h1>
<div mat-dialog-content>

    <mat-form-field class="form-full-width" *ngIf="typeDisabled" style="margin-bottom: 10px;">

            <select matInput [(ngModel)]="type" matNativeControl  placeholder="{{dictionary.aircraftTypeSelect}}">
                <option value="" [disabled]="typeDisabled">{{dictionary.pleaseSelect}}...</option>
                <option value="{{aircraftKeys.civil}}">{{dictionary.civilAircrafts}}</option>
                <option value="{{aircraftKeys.military}}">{{dictionary.militaryAircrafts}}</option>
            </select>

    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="name" name="{{aircraftKeys.name}}" type="text" value="{{name}}"
               placeholder="{{aircraftTitle.name}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="distance" name="{{aircraftKeys.distance}}" type="number" min="0" step="1"
               value="{{distance}}" placeholder="{{aircraftTitle.distance}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="seatCount" name="{{aircraftKeys.seatCount}}" type="number" min="0" step="1"
               value="{{seatCount}}" placeholder="{{aircraftTitle.seatCount}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="maxSeatCount" name="{{aircraftKeys.maxSeatCount}}" type="number" min="0" step="1"
               value="{{maxSeatCount}}" placeholder="{{aircraftTitle.maxSeatCount}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="length" name="{{aircraftKeys.length}}" type="number" min="0" step="0.01"
               value="{{length}}" placeholder="{{aircraftTitle.length}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="height" name="{{aircraftKeys.height}}" type="number" min="0" step="0.01"
               value="{{height}}" placeholder="{{aircraftTitle.height}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="wingSpan" name="{{aircraftKeys.wingSpan}}" type="number" min="0" step="0.01"
               value="{{wingSpan}}" placeholder="{{aircraftTitle.wingSpan}}">
    </mat-form-field>
    <mat-form-field class="form-full-width">
        <input matInput [(ngModel)]="consumption" name="{{aircraftKeys.consumption}}" type="number" min="0" step="0.01"
               value="{{consumption}}" placeholder="{{aircraftTitle.consumption}}">
    </mat-form-field>
    <mat-form-field *ngIf="type == aircraftKeys.civil" class="form-full-width">
        <select [(ngModel)]="gateLicense" matNativeControl name="{{aircraftKeys.gateLicense}}" (select)="gateLicense"
                placeholder="{{aircraftTitle.gateLicense}}">
            <option value="true">{{dictionary.yes}}</option>
            <option value="false">{{dictionary.no}}</option>
        </select>
    </mat-form-field>
    <mat-form-field *ngIf="type == aircraftKeys.military" class="form-full-width">
        <select [(ngModel)]="flare" matNativeControl name="{{aircraftKeys.flare}}" (select)="flare"
                placeholder="{{aircraftTitle.flare}}">
            <option value="true">{{dictionary.yes}}</option>
            <option value="false">{{dictionary.no}}</option>
        </select>
    </mat-form-field>
    <mat-form-field *ngIf="type == aircraftKeys.military" class="form-full-width">
        <select [(ngModel)]="airRefueling" matNativeControl name="{{aircraftKeys.airRefueling}}" placeholder="{{aircraftTitle.airRefueling}}"
                (select)="airRefueling">
            <option value="true">{{dictionary.yes}}</option>
            <option value="false">{{dictionary.no}}</option>
        </select>
    </mat-form-field>
</div>


<div mat-dialog-actions>
    <button mat-raised-button color="primary" matDialogClose="" [disabled]="!submitButton"
            (click)="save()">{{dictionary.saveChange}}</button>
    <button mat-raised-button matDialogClose="">{{dictionary.cancel}}</button>
</div>


<!--<div class="modal is-active">-->
<!--    <div class="modal-background" matDialogClose=""></div>-->
<!--    <div class="modal-card">-->
<!--        <header class="modal-card-head">-->
<!--            <p class="modal-card-title">{{dictionary.create}} - {{dictionary.aircraft}}-->
<!--                : {{maxTitleLength(name, 30)}}</p>-->
<!--            <button class="delete" aria-label="close" matDialogClose=""></button>-->
<!--        </header>-->
<!--        <section class="modal-card-body">-->
<!--            <div style="margin-bottom: 10px;" *ngIf="typeDisabled"><label>{{dictionary.aircraftTypeSelect}}:</label><br>-->
<!--                <div class="select {{selectAircraftTag}}">-->
<!--                    <select [(ngModel)]="type">-->
<!--                        <option value="" [disabled]="typeDisabled">{{dictionary.pleaseSelect}}...</option>-->
<!--                        <option value="{{aircraftKeys.civil}}">{{dictionary.civilAircrafts}}</option>-->
<!--                        <option value="{{aircraftKeys.military}}">{{dictionary.militaryAircrafts}}</option>-->
<!--                    </select>-->
<!--                </div>-->
<!--            </div>-->
<!--            <div>-->
<!--                <label>{{aircraftTitle.name}}:</label>-->
<!--                <input class="input {{aircraftVariableStore.name}}" [(ngModel)]="name" name="{{aircraftKeys.name}}"-->
<!--                       type="text" value="{{name}}" placeholder="" required="">-->
<!--            </div>-->
<!--            <div>-->
<!--                <label>{{aircraftTitle.distance}}:</label>-->
<!--                <input class="input {{aircraftVariableStore.distance}}" [(ngModel)]="distance"-->
<!--                       name="{{aircraftKeys.distance}}" type="number" min="0" step="1" value="{{distance}}"-->
<!--                       placeholder="" required="">-->
<!--            </div>-->
<!--            <div>-->
<!--                <label>{{aircraftTitle.seatCount}}:</label>-->
<!--                <input class="input {{aircraftVariableStore.seatCount}}" [(ngModel)]="seatCount"-->
<!--                       name="{{aircraftKeys.seatCount}}" type="number" min="0" step="1" value="{{seatCount}}"-->
<!--                       placeholder="" required="">-->
<!--            </div>-->
<!--            <div>-->
<!--                <label>{{aircraftTitle.maxSeatCount}}:</label>-->
<!--                <input class="input {{aircraftVariableStore.maxSeatCount}}" [(ngModel)]="maxSeatCount"-->
<!--                       name="{{aircraftKeys.maxSeatCount}}" type="number" min="0" step="1" value="{{maxSeatCount}}"-->
<!--                       placeholder="" required="">-->
<!--            </div>-->
<!--            <div>-->
<!--                <label>{{aircraftTitle.length}}:</label>-->
<!--                <input class="input {{aircraftVariableStore.length}}" [(ngModel)]="length"-->
<!--                       name="{{aircraftKeys.length}}" type="number" min="0" step="0.01" value="{{length}}"-->
<!--                       placeholder="" required="">-->
<!--            </div>-->
<!--            <div>-->
<!--                <label>{{aircraftTitle.height}}:</label>-->
<!--                <input class="input {{aircraftVariableStore.height}}" [(ngModel)]="height"-->
<!--                       name="{{aircraftKeys.height}}" type="number" min="0" step="0.01" value="{{height}}"-->
<!--                       placeholder="" required="">-->
<!--            </div>-->
<!--            <div>-->
<!--                <label>{{aircraftTitle.wingSpan}}:</label>-->
<!--                <input class="input {{aircraftVariableStore.wingSpan}}" [(ngModel)]="wingSpan"-->
<!--                       name="{{aircraftKeys.wingSpan}}" type="number" min="0" step="0.01" value="{{wingSpan}}"-->
<!--                       placeholder="" required="">-->
<!--            </div>-->
<!--            <div>-->
<!--                <label>{{aircraftTitle.consumption}}:</label>-->
<!--                <input class="input {{aircraftVariableStore.consumption}}" [(ngModel)]="consumption"-->
<!--                       name="{{aircraftKeys.consumption}}" type="number" min="0" step="0.01" value="{{consumption}}"-->
<!--                       placeholder="" required="">-->
<!--            </div>-->

<!--            <div *ngIf="type == aircraftKeys.civil"><label>{{aircraftTitle.gateLicense}}:</label><br>-->
<!--                <div class="select {{aircraftVariableStore.gateLicense}}">-->
<!--                    <select [(ngModel)]="gateLicense" name="{{aircraftKeys.gateLicense}}" required="">-->
<!--                        <option value="true">{{dictionary.yes}}</option>-->
<!--                        <option value="false">{{dictionary.no}}</option>-->
<!--                    </select>-->
<!--                </div>-->
<!--            </div>-->
<!--            <div *ngIf="type == aircraftKeys.military"><label>{{aircraftTitle.flare}}:</label><br>-->
<!--                <div class="select {{aircraftVariableStore.flare}}">-->
<!--                    <select [(ngModel)]="flare" name="{{aircraftKeys.flare}}" required="">-->
<!--                        <option value="true">{{dictionary.yes}}</option>-->
<!--                        <option value="false">{{dictionary.no}}</option>-->
<!--                    </select>-->
<!--                </div>-->
<!--            </div>-->
<!--            <div *ngIf="type == aircraftKeys.military"><label>{{aircraftTitle.airRefueling}}:</label><br>-->
<!--                <div class="select {{aircraftVariableStore.airRefueling}}">-->
<!--                    <select [(ngModel)]="airRefueling" name="{{aircraftKeys.airRefueling}}" required="">-->
<!--                        <option value="true">{{dictionary.yes}}</option>-->
<!--                        <option value="false">{{dictionary.no}}</option>-->
<!--                    </select>-->
<!--                </div>-->
<!--            </div>-->

<!--        </section>-->
<!--        <footer class="modal-card-foot">-->
<!--            <button class="button is-success" [disabled]="submitButton !== true ? 'disabled' : ''"-->
<!--                    (click)="save();">{{dictionary.saveChange}}</button>-->
<!--            <button class="button" matDialogClose="">{{dictionary.cancel}}</button>-->
<!--        </footer>-->
<!--    </div>-->
<!--</div>-->


